Error message

  • Warning: file_put_contents(temporary://fileWoX4tE): failed to open stream: "DrupalTemporaryStreamWrapper::stream_open" call failed in file_unmanaged_save_data() (line 2024 of /var/www/html/openrtm/includes/file.inc).
  • The file could not be created.
  • Warning: file_put_contents(temporary://fileTEvjcC): failed to open stream: "DrupalTemporaryStreamWrapper::stream_open" call failed in file_unmanaged_save_data() (line 2024 of /var/www/html/openrtm/includes/file.inc).
  • The file could not be created.

Download

Current version: 2.0.1-RELEASE

The newest RELEASE version is OpenRTM-aist-2.0.1-RELEASE.

Windows installer

Only 64bit version is available. Download and execute "msi" file, and then C++, Python, Java versions of OpenRTM, and OpenRTP, rtshell, OpenCV4.4, omniORB4.2.5 and JRE8 will be also installed.

OpenRTM-aist-2.0.1-RELEASE_x86_64.msi MD5:057354e97e6dd531801a9ae435ed2abe 2023/01/24
[Installation fails]
  • If you are in an environment where the dialog "There is a problem with this Windows Installer package" is displayed and the installation process rolls back, please use the 2.0.1-1 version msi below.
  • The reason for the rollback is that the script for rtshell that the installer is executing is blocked by Windows security.
  • The 2.0.1-1 version is the 2.0.1-RELEASE version with this script processing removed.
OpenRTM-aist-2.0.1-1_x86_64.msi MD5:a26f7dc0e1c9aba7f3cfab48f203f630 2023/04/19
If you are using Microsoft Edge and cannot download, please see the explanation on the following page. The supported versions of Visual Studio and Python are the follows.
  • Visual Studio(2015, 2017, 2019, 2022)
  • Python (3.7, 3.8, 3.9, 3.10, 3.11)

For the installation, see OpenRTM-aist 2.0 installation to Windows
If this is the first time to use OpenRTM, please visit Start OpenRTM-aist in ten minitues!! .

Linux packages

If you are already using 1.2 series, see Changes in 2.0 series

On the Ubuntu18.04, 20.04, 22.04 (amd64, arm64), please copy and paste the following one-liner in your terminal, and then C++, Python, Java versions OpenRTM, OpenRTP (only in amd64), rtshell, JDK8 will be also installed.

 $ bash <(curl -s https://raw.githubusercontent.com/OpenRTM/OpenRTM-aist/master/scripts/openrtm2_install_ubuntu.sh)

See Installing to Linux for the installation.

Raspberry Pi OS packages

If you are already using 1.2 series, see Changes in 2.0 series  

On the Buster (32bit), Bullseye (32bit, 64bit), please copy and paste the following one-liner in your terminal, and then C++, Python, Java, rtshell will be also installed.

 $ bash <(curl -s https://raw.githubusercontent.com/OpenRTM/OpenRTM-aist/master/scripts/openrtm2_install_raspbian.sh)

See Installing to Raspberry Pi OS for the installation.

Older versions

1.2.2

1.2.1

1.1.2

Download

latest Releases : 2.0.0-RELESE

2.0.0-RELESE Download page

Number of Projects

Choreonoid

Motion editor/Dynamics simulator

OpenHRP3

Dynamics simulator

OpenRTP

Integrated Development Platform

AIST RTC collection

RT-Components collection by AIST

TORK

Tokyo Opensource Robotics Association

DAQ-Middleware

Middleware for DAQ (Data Aquisition) by KEK